Name:          python-dbus
Version:       1.4.0
Release:       1mamba
Summary:       D-Bus python bindings for use with python programs
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.freedesktop.org/wiki/Software/dbus/
Source:        https://dbus.freedesktop.org/releases/dbus-python/dbus-python-%{version}.tar.xz
Patch0:        python-dbus-1.3.2-Move-python-modules-to-architecture-specific-directo.patch
License:       GPL, Academic Free License
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libdbus-devel
BuildRequires: libglib-devel
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
D-Bus python bindings for use with python programs.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
#Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      dbus-python-devel
Obsoletes:     dbus-python-devel < 1.2.16-1mamba

%description devel
D-Bus python bindings for use with python programs.
This package contains static libraries and header files need for development.

%if "0%{?with_pyver}" == "027"
%define py_requires_append \
Provides:      python-dbus \
Obsoletes:     python-dbus < 1.2.18-2mamba
%endif

%if 0%{?with_pyver}
%define py_requires_append \
Provides:      python%{python_version}dist(dbus-python)
%pyver_package
%endif

%prep
%setup -q -n dbus-python-%{version}
%patch 0 -p1 -b .Move-python-modules-to-architecture-specific-directo

autoreconf -fi

#%ifarch x86_64 aarch64
#sed -i "s|/lib/python|/lib64/python|" configure
#%endif

%build
export DBUS_PYTHON_USE_AUTOTOOLS=1
%configure \
   PYTHON=%{__python} \
   --disable-documentation

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
export DBUS_PYTHON_USE_AUTOTOOLS=1
%make_install \
   pythondir=%{python_sitearch}

#remove unpackaged files
rm -rf %{buildroot}%{_datadir}/doc/dbus-python

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitearch}/dbus
%{python_sitearch}/dbus/*
%{python_sitearch}/_dbus_bindings.so
%{python_sitearch}/_dbus_glib_bindings.so
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/dbus-1.0/dbus
%{_includedir}/dbus-1.0/dbus/*.h
%{_libdir}/pkgconfig/*.pc
%doc ChangeLog NEWS README doc/*.txt

%changelog
* Thu Apr 10 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.0-1mamba
- update to 1.4.0

* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 1.3.2-3mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Thu Nov 10 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.2-2mamba
- provide python*dist(dbus-python)

* Thu Nov 10 2022 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic version update by autodist

* Fri Apr 08 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.18-2mamba
- rebuilt with python 3.10

* Sun Jul 25 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.18-1mamba
- update to 1.2.18

* Sat Mar 27 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.16-2mamba
- x86_64, aarch64: rebuilt in python_sitearch

* Sun Feb 02 2020 Automatic Build System <autodist@mambasoft.it> 1.2.16-1mamba
- automatic version update by autodist

* Tue Nov 26 2019 Automatic Build System <autodist@mambasoft.it> 1.2.14-1mamba
- automatic version update by autodist

* Thu Nov 14 2019 Automatic Build System <autodist@mambasoft.it> 1.2.12-1mamba
- automatic version update by autodist

* Fri Nov 08 2019 Automatic Build System <autodist@mambasoft.it> 1.2.10-1mamba
- automatic version update by autodist

* Thu Aug 08 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.8-3mamba
- rebuilt with python3 3.7.4

* Fri Mar 01 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.8-2mamba
- rebuilt with python 3.6 package

* Thu Jun 21 2018 Automatic Build System <autodist@mambasoft.it> 1.2.8-1mamba
- automatic version update by autodist

* Tue Jan 30 2018 Automatic Build System <autodist@mambasoft.it> 1.2.6-1mamba
- automatic version update by autodist

* Fri Mar 18 2016 Automatic Build System <autodist@mambasoft.it> 1.2.4-1mamba
- automatic version update by autodist

* Sun Mar 06 2016 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Thu Nov 06 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-3mamba
- support -py3 build

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-2mamba
- rebuilt with python 2.7

* Tue May 14 2013 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Wed Aug 15 2012 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Wed Apr 25 2012 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Thu May 26 2011 Automatic Build System <autodist@mambasoft.it> 0.84.0-1mamba
- automatic update by autodist

* Sat Dec 04 2010 Automatic Build System <autodist@mambasoft.it> 0.83.2-1mamba
- automatic update by autodist

* Sun Feb 21 2010 Automatic Build System <autodist@mambasoft.it> 0.83.1-1mamba
- automatic update by autodist

* Thu Dec 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.83.0-4mamba
- rebuilt to have release higher than package in stable repository

* Thu Dec 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.83.0-3mamba
- rename to python-dbus

* Fri Nov 14 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.83.0-2mamba
- rebuild with current python

* Sat Aug 30 2008 gil <puntogil@libero.it> 0.83.0-1mamba
- update to 0.83.0

* Tue May 13 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.82.4-1mamba
- update to 0.82.4

* Mon Nov 19 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.82.3-1mamba
- update to 0.82.3

* Tue Oct 24 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.71-1qilnx
- package created by autospecaggiornamento del pacchetto dbus-python alla versione [?]...
